Bug 974722 - (ghc-uuid) Review Request: ghc-uuid - For creating, comparing, parsing and printing Universally Unique Identifiers
Review Request: ghc-uuid - For creating, comparing, parsing and printing Univ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: ghc-maccatcher
Blocks: 838799
  Show dependency treegraph
 
Reported: 2013-06-14 22:26 EDT by Ben Boeckel
Modified: 2013-09-13 22:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghc-uuid-1.2.13-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 22:29:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2013-06-14 22:26:22 EDT
Spec URL: http://benboeckel.net/packaging/ghc-uuid/ghc-uuid.spec
SRPM URL: http://benboeckel.net/packaging/ghc-uuid/ghc-uuid-1.2.13-1.fc20.src.rpm
Description:
This library is useful for creating, comparing, parsing and printing                                                                                       
Universally Unique Identifiers. See <http://en.wikipedia.org/wiki/UUID> for the                                                                            
general idea.

Fedora Account System Username: mathstuf
Comment 1 Jens Petersen 2013-07-18 00:44:02 EDT
Basically looks fine to me.

It might be simpler just to drop the sentence with the general wikipedia
link from the description - it doesn't really add much and would silence
the rpmlint warnings.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Static libraries in -static subpackage, if present.
  Note: Archive *.a files found in ghc-uuid-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

This is okay for Fedora Haskell libraries.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-uuid-
     devel
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 266240 bytes in 34 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-uuid-1.2.13-1.fc20.x86_64.rpm
          ghc-uuid-devel-1.2.13-1.fc20.x86_64.rpm
ghc-uuid.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-uuid.x86_64: W: spelling-error %description -l en_US wikipedia -> Wikipedia
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-uuid ghc-uuid-devel
ghc-uuid.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-uuid.x86_64: W: spelling-error %description -l en_US wikipedia -> Wikipedia
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-uuid (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(binary-0.5.1.1-72ed744c57c32286a49da6dda4f660b7)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(cryptohash-0.9.0-0ba4475009ee4b050dc584237978f005)
    ghc(maccatcher-2.1.5-2a37b19012ffa0b6954e320cc463cef6)
    ghc(random-1.0.1.1-43fdc5da991685d8a0ec8cb553880cf8)
    ghc(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbinary-0.5.1.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScereal-0.3.5.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHScrypto-api-0.11-ghc7.6.3.so()(64bit)
    libHScryptohash-0.9.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSentropy-0.2.2.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmaccatcher-2.1.5-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSprocess-1.1.0.2-ghc7.6.3.so()(64bit)
    libHSrandom-1.0.1.1-ghc7.6.3.so()(64bit)
    libHStagged-0.6-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

ghc-uuid-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(uuid-1.2.13-5133e095ef95113b00d6ce64e688aca9)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(binary-0.5.1.1-72ed744c57c32286a49da6dda4f660b7)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(cryptohash-0.9.0-0ba4475009ee4b050dc584237978f005)
    ghc-devel(maccatcher-2.1.5-2a37b19012ffa0b6954e320cc463cef6)
    ghc-devel(random-1.0.1.1-43fdc5da991685d8a0ec8cb553880cf8)
    ghc-devel(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    ghc-uuid



Provides
--------
ghc-uuid:
    ghc(uuid-1.2.13-5133e095ef95113b00d6ce64e688aca9)
    ghc-uuid
    ghc-uuid(x86-64)
    libHSuuid-1.2.13-ghc7.6.3.so()(64bit)

ghc-uuid-devel:
    ghc-devel(uuid-1.2.13-5133e095ef95113b00d6ce64e688aca9)
    ghc-uuid-devel
    ghc-uuid-devel(x86-64)



Unversioned so-files
--------------------
ghc-uuid: /usr/lib64/ghc-7.6.3/uuid-1.2.13/libHSuuid-1.2.13-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/uuid/1.2.13/uuid-1.2.13.tar.gz :
  CHECKSUM(SHA256) this package     : 1af05fce9c2e3b2c6074f38e3dedf43abea9cf788270fab2df75a98d63383979
  CHECKSUM(SHA256) upstream package : 1af05fce9c2e3b2c6074f38e3dedf43abea9cf788270fab2df75a98d63383979


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 974722


Package is APPROVED.
Comment 2 Ben Boeckel 2013-08-27 23:53:40 EDT
New Package SCM Request
=======================
Package Name: ghc-uuid
Short Description: For creating, comparing, parsing and printing Universally Unique Identifiers
Owners: mathstuf
Branches: f20 f19 f18 el6
InitialCC: haskell-sig
Comment 3 Gwyn Ciesla 2013-08-28 07:56:06 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-09-03 21:32:11 EDT
ghc-uuid-1.2.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-uuid-1.2.13-1.fc18
Comment 5 Fedora Update System 2013-09-03 21:32:20 EDT
ghc-uuid-1.2.13-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-uuid-1.2.13-1.fc19
Comment 6 Fedora Update System 2013-09-04 21:30:57 EDT
ghc-uuid-1.2.13-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Fedora Update System 2013-09-13 22:29:14 EDT
ghc-uuid-1.2.13-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 8 Fedora Update System 2013-09-13 22:33:47 EDT
ghc-uuid-1.2.13-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.